Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ImageFrameProvider Class Reference

More...

`#include <ImageFrameProvider.h>`

Inheritance diagram for ImageFrameProvider:

## Public Member Functions
| ImageFrameProvider ()
virtual | ~ImageFrameProvider ()
Public Member Functions inherited from ImageFrameProviderCore
| ImageFrameProviderCore ()
virtual | ~ImageFrameProviderCore ()
void | allocateAssets (AssetPtr< ImageAsset > *pImageAssetPtr, AssetPtr< AnimationAsset > *pAnimationAssetPtr)
void | deallocateAssets (void)
virtual void | copyTo (ImageFrameProviderCore *pImageFrameProviderCore) const
virtual bool | update (const F32 elapsedTime)
| Integration. More...
virtual void | processTick ()
virtual void | interpolateTick (F32 delta)
virtual void | advanceTime (F32 timeDelta)
virtual void | setProcessTicks (bool tick)
bool | updateAnimation (const F32 elapsedTime)
virtual bool | validRender (void) const
virtual void | render (const bool flipX, const bool flipY, const Vector2 &vertexPos0, const Vector2 &vertexPos1, const Vector2 &vertexPos2, const Vector2 &vertexPos3, BatchRender *pBatchRenderer) const
void | renderGui (GuiControl &owner, Point2I offset, const RectI &updateRect) const
bool | setImage (const char *pImageAssetId)
| Static-Image Frame. More...
virtual bool | setImage (const char *pImageAssetId, const U32 frame)
virtual bool | setImage (const char *pImageAssetId, const char *pNamedFrame)
StringTableEntry | getImage (void) const
virtual bool | setImageFrame (const U32 frame)
U32 | getImageFrame (void) const
virtual bool | setNamedImageFrame (const char *frame)
StringTableEntry | getNamedImageFrame (void) const
virtual bool | setAnimation (const char *pAnimationAssetId)
| Animated-Image Frame. More...
StringTableEntry | getAnimation (void) const
void | setAnimationFrame (const U32 frameIndex)
S32 | getAnimationFrame (void) const
void | setAnimationTimeScale (const F32 scale)
F32 | getAnimationTimeScale (void) const
bool | playAnimation (const AssetPtr< AnimationAsset > &animationAsset)
void | pauseAnimation (const bool animationPaused)
void | stopAnimation (void)
void | resetAnimationTime (void)
bool | isAnimationPaused (void) const
bool | isAnimationFinished (void) const
bool | isAnimationValid (void) const
bool | isStaticFrameProvider (void) const
| Frame provision. More...
bool | isUsingNamedImageFrame (void) const
TextureHandle & | getProviderTexture (void) const
const ImageAsset::FrameArea & | getProviderImageFrameArea (void) const
const AnimationAsset * | getCurrentAnimation (void) const
const StringTableEntry | getCurrentAnimationAssetId (void) const
const U32 | getCurrentAnimationFrame (void) const
const char * | getCurrentNamedAnimationFrame (void) const
const F32 | getCurrentAnimationTime (void) const
void | clearAssets (void)
virtual void | resetState (void)
Public Member Functions inherited from Tickable
| Tickable ()
virtual | ~Tickable ()
virtual bool | isProcessingTicks () const

## Protected Member Functions
virtual void | onAssetRefreshed (AssetPtrBase *pAssetPtrBase)
Protected Member Functions inherited from ImageFrameProviderCore
virtual void | onAnimationEnd (void)

## Protected Attributes
AssetPtr< ImageAsset > | mImageAsset
AssetPtr< AnimationAsset > | mAnimationAsset
Protected Attributes inherited from ImageFrameProviderCore
bool | mSelfTick
bool | mStaticProvider
bool | mUsingNamedFrame
U32 | mImageFrame
StringTableEntry | mNamedImageFrame
AssetPtr< ImageAsset > * | mpImageAsset
AssetPtr< AnimationAsset > * | mpAnimationAsset
S32 | mLastFrameIndex
S32 | mCurrentFrameIndex
U32 | mMaxFrameIndex
F32 | mCurrentTime
F32 | mPausedTime
F32 | mCurrentModTime
F32 | mAnimationTimeScale
F32 | mTotalIntegrationTime
F32 | mFrameIntegrationTime
bool | mAnimationPaused
bool | mAnimationFinished

## Additional Inherited Members
Static Public Member Functions inherited from Tickable
static bool | advanceTime (U32 timeDelta)
Static Public Attributes inherited from Tickable
static const U32 | smTickShift = 4
| Shift value to control how often Ticks occur. More...
static const U32 | smTickMs = ( 1 << smTickShift )
| Number of milliseconds per tick, 32 in this case. More...
static const F32 | smTickSec = ( F32( Tickable::smTickMs ) / 1000.f )
| Fraction of a second per tick. More...
static const U32 | smTickMask = ( smTickMs - 1 )

## Detailed Description

## Constructor & Destructor Documentation

ImageFrameProvider | ( |  | ) |

~ImageFrameProvider | ( |  | ) |
| virtual

## Member Function Documentation

void onAssetRefreshed | ( | AssetPtrBase * | pAssetPtrBase | ) |
| protected virtual

Reimplemented from ImageFrameProviderCore.

## Member Data Documentation

AssetPtr<AnimationAsset> mAnimationAsset
| protected

AssetPtr<ImageAsset> mImageAsset
| protected

The documentation for this class was generated from the following files:

- 2d/core/ImageFrameProvider.h
- 2d/core/ImageFrameProvider.cc